Bug 1222791 - Plasma shell crash when selecting folder for background
Summary: Plasma shell crash when selecting folder for background
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-19 07:46 UTC by Peter Andreasen
Modified: 2016-07-19 14:09 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 14:09:36 UTC


Attachments (Terms of Use)
Plasma crash (3.39 MB, application/ogg)
2015-05-25 18:02 UTC, Peter Andreasen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 347587 None None None Never

Description Peter Andreasen 2015-05-19 07:46:25 UTC
Description of problem:
On my dual screen setup I try to select Folder View instead of default desktop. On the right monitor it worked, but I can not set the left (default) screen to folder view, every time I try, plasma just crashes and restarts. The desktop also randomly crashes and restarts during normal use.

Version-Release number of selected component (if applicable):
Fedora 22. 
plasma-workspace 5.3.0-5

How reproducible:
Always

Steps to Reproduce:
1. Log in
2. Change my default screen from "desktop" to "folder view"
3. Click Ok

Actual results:
plasma desktop crashes and stays with "desktop" view

Expected results:
To be able to change desktop

Additional info:
Desktop also randomly crashes during use (every 2 minutes) and restarts, but eventually causes a complete system crash.

Comment 1 Fedora Update System 2015-05-19 15:30:49 UTC
plasma-workspace-5.3.0-6.fc22, f22-kde-theme-22.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-8453/plasma-workspace-5.3.0-6.fc22,f22-kde-theme-22.3-1.fc22

Comment 2 Fedora Update System 2015-05-20 02:53:05 UTC
Package plasma-workspace-5.3.0-6.fc22, f22-kde-theme-22.3-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing plasma-workspace-5.3.0-6.fc22 f22-kde-theme-22.3-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8453/plasma-workspace-5.3.0-6.fc22,f22-kde-theme-22.3-1.fc22
then log in and leave karma (feedback).

Comment 3 Peter Andreasen 2015-05-21 19:53:30 UTC
I have updated to plasma-workspace 5.3.0-6.fc22.x86_64
The plasmashell crashes when I select folder view, background = slide show, then select folder with wallpapers = ~/.kde/share/wallpapers

Comment 4 Jan Grulich 2015-05-21 20:19:57 UTC
I was not able to reproduce this issue on any of my two laptops. Could you re-check whether this issue is gone when you downgrade to plasma-workspace-5.3.0-4?

Comment 5 Fedora Update System 2015-05-22 02:32:16 UTC
Package f22-kde-theme-22.3-1.fc22, plasma-desktop-5.3.0-6.fc22, plasma-workspace-5.3.0-8.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing f22-kde-theme-22.3-1.fc22 plasma-desktop-5.3.0-6.fc22 plasma-workspace-5.3.0-8.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8453/plasma-desktop-5.3.0-6.fc22,plasma-workspace-5.3.0-8.fc22,f22-kde-theme-22.3-1.fc22
then log in and leave karma (feedback).

Comment 6 Peter Andreasen 2015-05-25 16:30:15 UTC
I updated the packages as listed, but it gives me the same error. 

Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".

The steps to trigger the crash are:
From cashew menu select "Settings for folder view" - Background image - Add folder...

Also, just opening the Background image tab and pressing OK (no images are selected) causes the crash.


The crash happens both on my desktop and in a Virtualbox machine.

Oddly enough, after each crash, Firefox no longer responds to the mouse scroll wheel.

Comment 7 Rex Dieter 2015-05-25 17:40:03 UTC
Can you give a more complete backtrace?

Comment 8 Peter Andreasen 2015-05-25 17:49:34 UTC
Update: It is now possible to change the background in Folder View to an image but "slideshow" and then "select folder" still makes it crash.


Backtrace - I can install the debug packages is I need to?


Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f425fb79900 (LWP 1842))]

Thread 37 (Thread 0x7f425811f700 (LWP 1844)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688c0a182 in _xcb_conn_wait () at /lib64/libxcb.so.1
#2  0x0000003688c0bcff in xcb_wait_for_event () at /lib64/libxcb.so.1
#3  0x00007f425922f5e9 in QXcbEventReader::run() () at /usr/lib64/qt5/plugins/platforms/libqxcb.so
#4  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#5  0x0000003686c07555 in start_thread (arg=0x7f425811f700) at pthread_create.c:333
#6  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 36 (Thread 0x7f4256069700 (LWP 1860)):
#0  0x000000368ded46ee in QTimerInfoList::repairTimersIfNeeded() () at /lib64/libQt5Core.so.5
#1  0x000000368ded4763 in QTimerInfoList::timerWait(timespec&) () at /lib64/libQt5Core.so.5
#2  0x000000368ded5b3e in timerSourcePrepare(_GSource*, int*) () at /lib64/libQt5Core.so.5
#3  0x000000368844935d in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#4  0x0000003688449ceb in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#5  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#6  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#8  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#9  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#10 0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#11 0x0000003686c07555 in start_thread (arg=0x7f4256069700) at pthread_create.c:333
#12 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 35 (Thread 0x7f424caae700 (LWP 1867)):
#0  0x0000003686c0c530 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f424fa0fc4a in radeon_drm_cs_emit_ioctl () at /usr/lib64/dri/r600_dri.so
#2  0x00007f424fa0f4b7 in impl_thrd_routine () at /usr/lib64/dri/r600_dri.so
#3  0x0000003686c07555 in start_thread (arg=0x7f424caae700) at pthread_create.c:333
#4  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 34 (Thread 0x7f4246773700 (LWP 1868)):
#0  0x000000368848eec9 in g_mutex_lock () at /lib64/libglib-2.0.so.0
#1  0x000000368844980c in g_main_context_check () at /lib64/libglib-2.0.so.0
#2  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#8  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#9  0x0000003686c07555 in start_thread (arg=0x7f4246773700) at pthread_create.c:333
#10 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 33 (Thread 0x7f423ffff700 (LWP 1872)):
#0  0x00000036868f22ed in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000368848db00 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00000036884498b4 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#8  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#9  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#10 0x0000003686c07555 in start_thread (arg=0x7f423ffff700) at pthread_create.c:333
#11 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 32 (Thread 0x7f423effe700 (LWP 1873)):
#0  0x000000368848eec9 in g_mutex_lock () at /lib64/libglib-2.0.so.0
#1  0x0000003688449237 in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ceb in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#8  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#9  0x0000003686c07555 in start_thread (arg=0x7f423effe700) at pthread_create.c:333
#10 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 31 (Thread 0x7f423dffd700 (LWP 1874)):
#0  0x000000368ded5e90 in timerSourceCheck(_GSource*) () at /lib64/libQt5Core.so.5
#1  0x0000003688449801 in g_main_context_check () at /lib64/libglib-2.0.so.0
#2  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#8  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#9  0x0000003686c07555 in start_thread (arg=0x7f423dffd700) at pthread_create.c:333
#10 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 30 (Thread 0x7f423cffc700 (LWP 1875)):
#0  0x000000368844932e in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#1  0x0000003688449ceb in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f423cffc700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 29 (Thread 0x7f422b7ff700 (LWP 1876)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f422b7ff700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 28 (Thread 0x7f422a7fe700 (LWP 1877)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f422a7fe700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 27 (Thread 0x7f42297fd700 (LWP 1878)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f42297fd700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 26 (Thread 0x7f4217fff700 (LWP 1879)):
#0  0x0000003686c0c530 in pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00000036a03806d4 in QTWTF::TCMalloc_PageHeap::scavengerThread() () at /lib64/libQt5Script.so.5
#2  0x00000036a0380719 in  () at /lib64/libQt5Script.so.5
#3  0x0000003686c07555 in start_thread (arg=0x7f4217fff700) at pthread_create.c:333
#4  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 25 (Thread 0x7f41977fe700 (LWP 1880)):
#0  0x000000368844997d in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#1  0x0000003688449e20 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f41977fe700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 24 (Thread 0x7f418dda9700 (LWP 1890)):
#0  0x000000368844934b in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#1  0x0000003688449ceb in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f418dda9700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 23 (Thread 0x7f4182f08700 (LWP 1891)):
#0  0x00000036868f22ed in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000368848db00 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00000036884498b4 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#8  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#9  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#10 0x0000003686c07555 in start_thread (arg=0x7f4182f08700) at pthread_create.c:333
#11 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 22 (Thread 0x7f4181e07700 (LWP 1892)):
#0  0x000000368848eee4 in g_mutex_unlock () at /lib64/libglib-2.0.so.0
#1  0x00000036884497f9 in g_main_context_check () at /lib64/libglib-2.0.so.0
#2  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#8  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#9  0x0000003686c07555 in start_thread (arg=0x7f4181e07700) at pthread_create.c:333
#10 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7f4180d06700 (LWP 1893)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f4180d06700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7f416f7ff700 (LWP 1894)):
#0  0x00000036868f22ed in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000368848db00 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00000036884498b4 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#8  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#9  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#10 0x0000003686c07555 in start_thread (arg=0x7f416f7ff700) at pthread_create.c:333
#11 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7f416e7fe700 (LWP 1895)):
#0  0x00000036868f22ed in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000368848db00 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00000036884498b4 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#8  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#9  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#10 0x0000003686c07555 in start_thread (arg=0x7f416e7fe700) at pthread_create.c:333
#11 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7f416d7fd700 (LWP 1896)):
#0  0x00007fff99fbc92c in  ()
#1  0x00007fff99fbccc1 in clock_gettime ()
#2  0x000000368691013d in __GI___clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#3  0x000000368dd50f86 in qt_gettime() () at /lib64/libQt5Core.so.5
#4  0x000000368ded41e9 in QTimerInfoList::updateCurrentTime() () at /lib64/libQt5Core.so.5
#5  0x000000368ded4755 in QTimerInfoList::timerWait(timespec&) () at /lib64/libQt5Core.so.5
#6  0x000000368ded5b3e in timerSourcePrepare(_GSource*, int*) () at /lib64/libQt5Core.so.5
#7  0x000000368844935d in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#8  0x0000003688449ceb in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#9  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#10 0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#11 0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#12 0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#13 0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#14 0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#15 0x0000003686c07555 in start_thread (arg=0x7f416d7fd700) at pthread_create.c:333
#16 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7f415ffff700 (LWP 1897)):
#0  0x000000368848eef0 in g_mutex_unlock () at /lib64/libglib-2.0.so.0
#1  0x00000036884497f9 in g_main_context_check () at /lib64/libglib-2.0.so.0
#2  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#8  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#9  0x0000003686c07555 in start_thread (arg=0x7f415ffff700) at pthread_create.c:333
#10 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7f415effe700 (LWP 1898)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f415effe700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7f415dffd700 (LWP 1899)):
#0  0x000000368848eec9 in g_mutex_lock () at /lib64/libglib-2.0.so.0
#1  0x000000368844980c in g_main_context_check () at /lib64/libglib-2.0.so.0
#2  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#8  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#9  0x0000003686c07555 in start_thread (arg=0x7f415dffd700) at pthread_create.c:333
#10 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7f415cffc700 (LWP 1900)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f415cffc700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7f414df5b700 (LWP 1901)):
#0  0x0000003688448ef1 in g_main_context_release () at /lib64/libglib-2.0.so.0
#1  0x0000003688449d76 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00007f414ed69397 in KCupsConnection::run() () at /lib64/libkcupslib.so
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f414df5b700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7f414d046700 (LWP 1904)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f414d046700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7f4143f1f700 (LWP 1905)):
#0  0x00000036868f22ed in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000368848db00 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00000036884498b4 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#8  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#9  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#10 0x0000003686c07555 in start_thread (arg=0x7f4143f1f700) at pthread_create.c:333
#11 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7f4142e1e700 (LWP 1906)):
#0  0x00000036868f22ed in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000368848db00 in g_wakeup_acknowledge () at /lib64/libglib-2.0.so.0
#2  0x00000036884498b4 in g_main_context_check () at /lib64/libglib-2.0.so.0
#3  0x0000003688449d60 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#8  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#9  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#10 0x0000003686c07555 in start_thread (arg=0x7f4142e1e700) at pthread_create.c:333
#11 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7f4141d1d700 (LWP 1907)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f4141d1d700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7f4140c1c700 (LWP 1908)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f4140c1c700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7f412f7ff700 (LWP 1909)):
#0  0x000000368848eee4 in g_mutex_unlock () at /lib64/libglib-2.0.so.0
#1  0x0000003688449db1 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f412f7ff700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7f412e7fe700 (LWP 1910)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f412e7fe700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7f412d7fd700 (LWP 1911)):
#0  0x000000368848eec9 in g_mutex_lock () at /lib64/libglib-2.0.so.0
#1  0x0000003688449369 in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ceb in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#3  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#4  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#7  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#8  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#9  0x0000003686c07555 in start_thread (arg=0x7f412d7fd700) at pthread_create.c:333
#10 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7f4194d3c700 (LWP 2076)):
#0  0x000000368dc9ee16 in QThreadData::current(bool) () at /lib64/libQt5Core.so.5
#1  0x000000368ded5cba in postEventSourcePrepare(_GSource*, int*) () at /lib64/libQt5Core.so.5
#2  0x000000368844935d in g_main_context_prepare () at /lib64/libglib-2.0.so.0
#3  0x0000003688449ceb in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#4  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#5  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#6  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#7  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#8  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#9  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#10 0x0000003686c07555 in start_thread (arg=0x7f4194d3c700) at pthread_create.c:333
#11 0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7f418f30b700 (LWP 2077)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036a6ef6ab6 in QQuickPixmapReader::run() () at /lib64/libQt5Quick.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f418f30b700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7f41192b2700 (LWP 2086)):
#0  0x00000036868f666d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x0000003688449dbc in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#2  0x0000003688449ecc in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#3  0x000000368ded675b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#4  0x000000368de7ca8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /lib64/libQt5Core.so.5
#5  0x000000368dc9aff4 in QThread::exec() () at /lib64/libQt5Core.so.5
#6  0x00000036af0c3935 in QQmlThreadPrivate::run() () at /lib64/libQt5Qml.so.5
#7  0x000000368dc9fede in QThreadPrivate::start(void*) () at /lib64/libQt5Core.so.5
#8  0x0000003686c07555 in start_thread (arg=0x7f41192b2700) at pthread_create.c:333
#9  0x0000003686901f3d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f425fb79900 (LWP 1842)):
[KCrash Handler]
#5  0x00007f4194027cba in BackgroundListModel::wallpapersAwaitingDeletion() () at /usr/lib64/qt5/qml/org/kde/plasma/wallpapers/image/libplasma_wallpaper_imageplugin.so
#6  0x00007f419401fb2e in Image::commitDeletion() () at /usr/lib64/qt5/qml/org/kde/plasma/wallpapers/image/libplasma_wallpaper_imageplugin.so
#7  0x00007f419402c4f5 in Image::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () at /usr/lib64/qt5/qml/org/kde/plasma/wallpapers/image/libplasma_wallpaper_imageplugin.so
#8  0x00007f419402d075 in Image::qt_metacall(QMetaObject::Call, int, void**) () at /usr/lib64/qt5/qml/org/kde/plasma/wallpapers/image/libplasma_wallpaper_imageplugin.so
#9  0x00000036af004bca in CallMethod(QObject*, int, int, int, int*, QV8Engine*, QV4::CallData*) [clone .constprop.153] () at /lib64/libQt5Qml.so.5
#10 0x00000036af005f85 in CallPrecise(QObject*, QQmlPropertyData const&, QV8Engine*, QV4::CallData*) [clone .constprop.150] () at /lib64/libQt5Qml.so.5
#11 0x00000036af0066a5 in QV4::QObjectMethod::callInternal(QV4::CallData*) () at /lib64/libQt5Qml.so.5
#12 0x00000036af014028 in QV4::Runtime::callProperty(QV4::ExecutionContext*, QV4::String*, QV4::CallData*) () at /lib64/libQt5Qml.so.5
#13 0x00007f418e74d94d in  ()
#14 0x00007f418e86f9b0 in  ()
#15 0x00007f41141c5458 in  ()
#16 0x0003000000000001 in  ()
#17 0x0000000005556c70 in  ()
#18 0x00000000056d8050 in  ()
#19 0x19a0367c7e396500 in  ()
#20 0x0000000004cf6460 in  ()
#21 0x00007f418e783200 in  ()
#22 0x00007fff99f7a1b0 in  ()
#23 0x00000036aefc7286 in QV4::SimpleScriptFunction::call(QV4::Managed*, QV4::CallData*) () at /lib64/libQt5Qml.so.5
#24 0x00000036af014028 in QV4::Runtime::callProperty(QV4::ExecutionContext*, QV4::String*, QV4::CallData*) () at /lib64/libQt5Qml.so.5
#25 0x00007f418e7cc1ed in  ()
#26 0x00007f418e86f9b0 in  ()
#27 0x00007f41140aec68 in  ()
#28 0x0003000000000005 in  ()
#29 0x0000000005af56c0 in  ()
#30 0x00000000056d8050 in  ()
#31 0x19a0367c7e396500 in  ()
#32 0x0000000004cf6460 in  ()
#33 0x00007f418eaa1960 in  ()
#34 0x00007fff99f7a3d0 in  ()
#35 0x00000036aefc7286 in QV4::SimpleScriptFunction::call(QV4::Managed*, QV4::CallData*) () at /lib64/libQt5Qml.so.5
#36 0x00000036af014028 in QV4::Runtime::callProperty(QV4::ExecutionContext*, QV4::String*, QV4::CallData*) () at /lib64/libQt5Qml.so.5
#37 0x00007f418e827987 in  ()
#38 0x00000000027128d8 in  ()
#39 0x000000000576ae64 in  ()
#40 0x000300000000000b in  ()
#41 0x0000000000000000 in  ()

Comment 9 Peter Andreasen 2015-05-25 18:02:35 UTC
Created attachment 1029563 [details]
Plasma crash

Comment 10 Rex Dieter 2015-05-26 01:15:17 UTC
Adjusting summary to make it clear this is (now) about selecting a folder for backgrounds.

Comment 11 Maximilian Rehkopf 2015-06-01 22:55:54 UTC
I am affected by the exact same bug. As soon as "Slideshow" is set, you cannot get out of the "Desktop Settings" or "Folder View Settings" dialog unharmed (lest you click Cancel).
It might be worth noting that a fresh install from the F22 KDE Spin ISO does not expose the issue, it works as expected. Only after a subsequent "dnf update" did the issue show up.

Comment 12 Peter Andreasen 2015-06-03 11:11:10 UTC
After a recent update it has now changed behaviour; now the "Layout" drop down has been disabled so I can not change away from "Desktop" view. If I select "Slideshow" background and add a folder of wallpapers, it is not saved when I close the dialog.

Comment 13 Fedora Update System 2015-06-04 20:20:09 UTC
f22-kde-theme-22.3-1.fc22, plasma-desktop-5.3.0-6.fc22, plasma-workspace-5.3.0-8.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Peter Andreasen 2015-06-07 14:15:52 UTC
Problem persists for me.

Comment 15 Rex Dieter 2015-06-07 17:34:01 UTC
Problem this bug changed from the initial report (the initial problem was fixed), but the later one about selecting folder for slideshow is not.

Re-opening.

I see no upstream (bugs.kde.org) report about that yet (but I didn't search very hard).

Comment 16 Peter Andreasen 2015-06-12 13:28:21 UTC
Update: 
plasma-desktop-5.3.1-3.fc22.x86_64

Now the desktop lets me select folder view, and also lets me select a folder for slide show. However, only one monitor on my dual monitor desktop keeps the setting, and the other one (the primary) falls back to desktop view.

Comment 17 Fedora End Of Life 2016-07-19 14:09:36 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.